###

#

rgb_to_luminance_fn< RedChannel, GreenChannel, BlueChannel, GrayChannelValue > Struct Template Reference

red * .3 + green * .59 + blue * .11 + .5 More...

`#include <color_convert.hpp>`

## Public Member Functions

auto | operator() (const RedChannel &red, const GreenChannel &green, const BlueChannel &blue) const -> GrayChannelValue

## Detailed Description

template<typename RedChannel, typename GreenChannel, typename BlueChannel, typename GrayChannelValue>
struct boost::gil::detail::rgb_to_luminance_fn< RedChannel, GreenChannel, BlueChannel, GrayChannelValue >

red * .3 + green * .59 + blue * .11 + .5

The documentation for this struct was generated from the following file:

- color_convert.hpp